> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fields

> Get Fields and their metadata



## OpenAPI

````yaml GET /fields
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /fields:
    get:
      tags:
        - Fields
      summary: Get Fields
      description: Get Fields and their metadata
      operationId: get-fields
      parameters:
        - schema:
            type: boolean
          in: query
          name: is_optional
          description: Whether the field must be included to consider the process complete
        - schema:
            type: string
          in: query
          name: dataset_id
          description: Dataset id associated with the field
        - schema:
            type: string
          in: query
          name: process_step_id
          description: Process step id that the field belongs to
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Field'
                  x-stoplight:
                    id: 9vcp7q8ng73ca
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    Field:
      x-stoplight:
        id: 9vcp7q8ng73ca
      title: field
      type: object
      properties:
        id:
          type: string
          x-stoplight:
            id: c9lxl6s09l1lm
          format: uuid
          description: Database id for the field
        company_id:
          type: string
          x-stoplight:
            id: hwkhvi6uojb8s
          format: uuid
          description: Your company's id
        is_optional:
          type: boolean
          x-stoplight:
            id: h8kxy3uwlimnc
          description: Indicates whether the field must be submitted
        created_at:
          type: string
          x-stoplight:
            id: 7e4tazux1lgov
          format: date-time
          description: Timestamp at which the field was created.
        type:
          x-stoplight:
            id: 84znp6c0i3b17
          enum:
            - MANUAL_ENTRY
            - IMAGE
            - CHECKBOX
            - FILE
            - PASSFAIL
          description: Data entry type for the field
        prompt:
          type: string
          x-stoplight:
            id: u7eaeicko1pe1
          description: Prompt that is displayed to the user
        group_name:
          type: string
          x-stoplight:
            id: d65wbrfdfmarf
          description: Group name that the field is a part of
        order:
          type: number
          x-stoplight:
            id: yydtw5efjj6z8
          description: Order in which the field appears in the process step
        dataset_id:
          type: string
          x-stoplight:
            id: 6q2jzgvpxb8l3
          format: uuid
          description: Id for the dataset that the field is sending data to
        method:
          x-stoplight:
            id: a39fwiqhia61d
          enum:
            - CAMERA
            - UPLOAD
          description: >-
            For fields capturing file/image data, how is that capture appearing
            on the production app
        data_validation:
          x-stoplight:
            id: esatzmwawr007
          enum:
            - NUMBER
            - INTEGER
            - STRING
          description: >-
            For fields with validated inputs, what validation schema is being
            used
        process_step_id:
          type: string
          x-stoplight:
            id: z0noegkl46nv7
          format: uuid
          description: Which process_step does the field belong to
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````